image: node:22
before_script:
  - npm i -g npm@latest
  - npm ci
pages:
  stage: deploy
  script:
    - npm run clear
    - npm run build
    - mv build/ public/
  artifacts:
    paths:
      - public/
  only:
    - master
